SDK for .NET

OpenKM SDK for .NET is a set of software development tools that allows the creation of applications for OpenKM. The OpenKM SDK for .NET include a Webservices library.

This Webservices library is a complete API layer to access OpenKM through REST Webservices and provides complete compatibility between OpenKM REST Webservices versions minimizing the changes in your code.

License

SDK for .NET is licensed under the terms of the EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.

This program is distributed WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the EULA - OpenKM SDK End User License Agreement for more details.

SDK for .NET version 2.x compatibility

Download professional resources from OpenKM Download center.

SDK for .NET versionOpenKM Compatibility Status
 ProfessionalCommunity 
SDK for .NET 2.6.1

Version 6.4.45 and upper.

Not compatible.

Active.

SDK for .NET 2.6.0

Version 6.4.45 and upper.

Not compatible.

Deprecated.

SDK for .NET 2.5.2

Version 6.4.31 to 6.4.44.

Not compatible.

Deprecated.

SDK for .NET 2.5.1

Version 6.4.31 to 6.4.44.

Not compatible.

Deprecated.

SDK for .NET 2.5.0

Version 6.4.31 to 6.4.44.

Not compatible.

Deprecated

SDK for .NET 2.4.0

Version 6.4.26 to 6.4.30

Not compatible.

Deprecated

SDK for .NET 2.3.1 

Version 6.4.21to 6.4.25

Not compatible.

Deprecated

SDK for .NET 2.3.0

Version 6.4.21 to 6·4.25

Not compatible.

Deprecated

2.2

Version 6.4.18 to 6.4.20

Not compatible.

Deprecated

2.1

Version 6.4.0 to 6.4.17

Not compatible.

Deprecated

2.0

Initial version

Not compatible.

Deprecated

 SDK for .NET version 1.x compatibility

SDK for .NET versionOpenKM Compatibility  
 ProfessionalCommunityStatusDownload

SDK for .NET 1.2.1

Not supported.

Version 6.3.7 and upper.

Active.

OKMRest-1.2.1.zip

SDK for .NET 1.2.0 

Not supported.

Version 6.3.7 and upper.

Deprecated.

OKMRest-1.2.0.zip

SDK for .NET 1.1.2 

Version 6.2.19 to 6.2.28.

Version 6.3.6 and upper.

Deprecated.

OKMRest-1.1.2.zip

SDK for .NET 1.1.1 

Version 6.2.19 to 6.2.28.

Version 6.3.0 to 6.3.6.

Deprecated.

OKMRest-1.1.1.zip

SDK for .NET 1.1.0

Version 6.2.19 to 6.2.28.

Version 6.3.0 to 6.3.6.

Deprecated.

OKMRest-1.1.0.zip

1.0 Version 6.2.19 to 6.2.28. Version 6.3.0 to 6.3.6. Deprecated.